package com.its.web.mapper.its.popup;

import com.its.web.dto.admin.TbWwwPopupDto;
import com.its.web.pagination.Pagination;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface PopupMapper {
    List<TbWwwPopupDto> findAllPopup(Pagination pagination);

    int findPopupTotalPage();

    List<TbWwwPopupDto> findMainPopup(int num);

    TbWwwPopupDto findPopup(String popupId);

    int insertPopup(Map<String, String> paramMap);

    int updatePopup(Map<String, String> paramMap);

    int deletePopup(String popupId);

    List<TbWwwPopupDto> findDisplayPopup();
}
